RelayAPI

List ads

GET
/v1/ads
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Query Parameters

campaign_id?string
platform?string

Value in

  • "meta"
  • "google"
  • "tiktok"
  • "linkedin"
  • "pinterest"
  • "twitter"
status?string

Value in

  • "draft"
  • "pending_review"
  • "active"
  • "paused"
  • "completed"
  • "rejected"
  • "cancelled"
workspace_id?string

Filter by workspace ID

source?string
Default"all"

Value in

  • "all"
  • "internal"
  • "external"
cursor?string
limit?integer
Range1 <= value <= 100
Default20

Response Body

application/json

curl -X GET "https://example.com/v1/ads"
{  "data": [    {      "id": "string",      "campaign_id": "string",      "ad_account_id": "string",      "platform": "meta",      "platform_ad_id": "string",      "name": "string",      "status": "draft",      "headline": "string",      "body": "string",      "call_to_action": "string",      "link_url": "string",      "image_url": "string",      "video_url": "string",      "boost_post_target_id": "string",      "boost_external_post_id": "string",      "targeting": null,      "daily_budget_cents": 0,      "lifetime_budget_cents": 0,      "start_date": "2019-08-24T14:15:22Z",      "end_date": "2019-08-24T14:15:22Z",      "duration_days": 0,      "is_external": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string",  "has_more": true}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo